## com.rbnb.sapi
Class ChannelMap.ByteOrderEnum

    java.lang.Object
      com.rbnb.sapi.ChannelMap.ByteOrderEnum

Enclosing class:
  ChannelMap

    public static class ChannelMap.ByteOrderEnum

extends Object

Byte order enumerated type. One of LOCAL, LSB, or MSB.

Method Summary
`boolean` `equals(Object o)` Used to see if LOCAL equals LSB or MSB.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### equals

    public boolean equals(Object o)

  Used to see if LOCAL equals LSB or MSB. Since the objects are singletons, use the == operator to differentiate between all three.

  Overrides:
    `equals` in class `Object`